# help

## Namespace

#### help

Source:
  - help.js, line 114

### Members

#### (static) helpmap :WeakMap.<object, string>

Description:

  - A WeakMap that maps live function/class objects back to their documentation names. This map is populated by the registration logic in `index.js`.

Source:
  - help.js, line 123

A WeakMap that maps live function/class objects back to their documentation names. This map is populated by the registration logic in `index.js`.

##### Type:

- WeakMap.<object, string>

### Methods

#### (static) getHelpDoc(target) → {object|undefined}

Description:

  - Returns help doc object

Source:
  - help.js, line 131

##### Parameters:

Name | Type | Description
--- | --- | ---
`target` | string | object | The name of the function/class, or the object itself.

##### Returns:

The documentation obj, or undefined if not found.

Type
  object | undefined

#### (static) helpdoc(target)

Description:

  - Provides help for a given class/function name or a live object. Logs the formatted documentation to the console.

Source:
  - help.js, line 153

##### Parameters:

Name | Type | Description
--- | --- | ---
`target` | string | object | The name of the function/class, or the object itself.

#### (static) helphtml(target) → {string|undefined}

Description:

  - Returns help content as a styled HTML string for a given class/function name or a live object.

Source:
  - help.js, line 176

##### Parameters:

Name | Type | Description
--- | --- | ---
`target` | string | object | The name of the function/class, or the object itself.

##### Returns:

The documentation as an HTML string, or undefined if not found.

Type
  string | undefined